package sv.drawer;

/** 
 * RLineShape.java
 * Point set produced by mouse
 * @version 0.5     9/15/97
 * @author Byeongseob Ki
 */

import java.awt.*;
import java.util.*;

import sv.ui.SVUIC;

public class RLineShape extends MLineShape implements Observer {

   public RLineShape(int type, Color c, int t, int w, int s) {
      this.type = type;

      linec = c;
      line_type = t;
      line_width = w;
      dash_size = s;
   }

   public void addPoints(Point[] pts) {
      if (pts == null) return;

      for (int i=0; i<pts.length; i++)
         _ptsvec.addElement(pts[i]);
   }


} // end of class
