package sv.kernel;

/** 
 * ZoomHandle.java
 * Handle zoom out for 1d and vector
 * @version 1.0     11/1/97
 * @author Byeongseob Ki
 */

// nothing but just hold previous zooming info
public class ZoomHandle {
 
 float zoomStartX, zoomStartY, zoomEndX, zoomEndY, 
       zoomFactorX, zoomFactorY; 
 int zoomMode; 

  public ZoomHandle(float sx, float sy, float ex, float ey, 
                          float fx, float fy, int mode) {
      
     zoomStartX = sx;
     zoomStartY =sy;
     zoomEndX = ex;
     zoomEndY = ey;
     zoomFactorX = fx;
     zoomFactorY = fy;
     zoomMode = mode;
  }


  public String[] getAllInfo() {
    String[] ret = { String.valueOf(zoomStartX),
                     String.valueOf(zoomStartY),
                     String.valueOf(zoomEndX),
                     String.valueOf(zoomEndY),
                     String.valueOf(zoomFactorX),
                     String.valueOf(zoomFactorY),
                     String.valueOf(zoomMode) };
    return ret;
  }

}  // end of class

