package sv.kernel;

import java.awt.*;
import java.io.*;
import java.util.*;

import sv.util.*;

/** 
 * DataSetCon.java
 * Define our connection list data
 * @version 1.0  11/15/97
 * @author Byeongseob Ki
 */

public class DataSetCon extends DSPlane {

  /**
   * constructor for 2D  data
   * @param title title of this class
   * @param vs time data
   */
  public DataSetCon(String title,  TimeDataCon vs) {
    super(title, vs);
    dataType = DSPlane.CONNECTIVITY;
  }

  /**
   * constructor for 2D  data
   * @param title title of this class
   * @param tv time data vector
   */
  public DataSetCon(String title,  Vector tv) {
    super(title, tv);
    dataType = DSPlane.CONNECTIVITY;
  }

}






