package sv.kernel;

import java.awt.*;
import java.io.*;
import java.util.*;

import sv.util.*;

/** 
 * DataSetVec.java
 * Define our vector data
 * @version 1.0  10/15/97
 * @author Byeongseob Ki
 */

public class DataSetVec extends DSPlane {
  private Color lineColor = Color.red;


  /**
   * constructor for 2D  data
   * @param title title of this class
   * @param vs time data
   */
  public DataSetVec(String title,  TimeDataVec vs) {
    super(title, vs);
    dataType = DSPlane.VECTOR;
  }

  /**
   * constructor for 2D  data
   * @param title title of this class
   * @param tv time data vector
   */
  public DataSetVec(String title,  Vector tv) {
    super(title, tv);
    dataType = DSPlane.VECTOR;
  }


   /**
    * set line color
    */
   public void setLineColor(Color c) {
       lineColor = c;
   }

   /**
    * set marker type
    */
   public Color getLineColor() {
       return lineColor;
   }


}






