package sv.ui;

import java.awt.*;


/** 
 * SimpleCanvas.java
 * Simply draw the image in it.
 * @version 1.0
 * @author Byeongseob Ki
 */

public class SimpleCanvas extends Canvas {

  /**
   * image to be drawn
   */
  protected Image img;

  /**
   * constructor
   * @param img image to be drawn
   */
  public SimpleCanvas(Image img) {
     this.img = img;
  }  


  public void paint(Graphics g) {
     g.drawImage(img, 0, 0, this);    
  }
  
}





