package sv.util;

import java.util.*;

/** 
 * MenuInfo.java
 * the popup menu information
 * @version 1.0
 * @author Byeongseob Ki
 */

public class MenuInfo {
  public int id;
  public int parent;
  public boolean isItem;
  public int level;
  public String name;
  public String className;
  public String directory;
  public int shortkey;
  

  public MenuInfo(String n, int l, int i, int p) {
     id = i;
     parent = p;
     isItem = false;
     level = l;
     name = n;
     className = null;
     directory = null;
     shortkey = -1;
  }  

  public MenuInfo(String n, String c, String d, 
                                 int k, int l, int i, int p) {
     id = i;
     parent = p;
     isItem = true;
     level = l;
     name = n;
     className = c;
     directory = d;
     shortkey = k;
  }

  public void dump() {
     System.out.println("\n==============================");
     System.out.println("id = " + id);
     System.out.println("parent =  " + parent);
     System.out.println("level =  " + level);
     System.out.println("name =  " + name);
     System.out.println("className =  " + className);
     System.out.println("package = " + directory);
     System.out.println("shortkey =  " + shortkey);
  }
}





